import { OnInit } from '@angular/core';
import { DurationDataElement } from '../../../core/elements/models/duration-data-element.model';
import { FormGroup, FormBuilder } from '@angular/forms';
import { SimulatorEngineService } from '../../../core/services/simulator-engine.service';
export declare class AssistDurationElementComponent implements OnInit {
    private formBuilder;
    private simulatorEngineService;
    durationDataElement: DurationDataElement;
    durationElementForm: FormGroup;
    constructor(formBuilder: FormBuilder, simulatorEngineService: SimulatorEngineService);
    DurationVal: string;
    durationOptions: {
        showNegative: boolean;
        showPreview: boolean;
        showYears: boolean;
        showMonths: boolean;
        showWeeks: boolean;
    };
    ngOnInit(): void;
    private createDurationElementForm();
}
